ComparisonOperator (Hyperic HQ Plugin API)
Keywords: org.hyperic.hq.measurement.galerts.ComparisonOperator class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.measurement.galerts
Class ComparisonOperator

    java.lang.Object
      org.hyperic.util.HypericEnum
          org.hyperic.hq.measurement.galerts.ComparisonOperator

All Implemented Interfaces:
  java.io.Serializable, JSON

    public class ComparisonOperator

extends HypericEnum

This class is used to compare 2 floats (metric values) for the `MeasurementGtrigger`.

See Also:
  Serialized Form

Field Summary
`static ComparisonOperator` | `EQ`
`static ComparisonOperator` | `GE`
`static ComparisonOperator` | `GT`
`static ComparisonOperator` | `LE`
`static ComparisonOperator` | `LT`
`static ComparisonOperator` | `NE`

Method Summary
`static ComparisonOperator` | `findByCode(int code)`
`static java.util.List` | `getAll()`
`boolean` | `isTrue(java.lang.Number one, java.lang.Number two)` Returns true if (one COMPAR two) == true.

Methods inherited from class org.hyperic.util.HypericEnum
`findByCode, findByDescription, getAll, getByCode, getCode, getDescription, getJsonName, getValue, toJSON, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### LT

    public static final ComparisonOperator LT

### LE

    public static final ComparisonOperator LE

### GT

    public static final ComparisonOperator GT

### GE

    public static final ComparisonOperator GE

### EQ

    public static final ComparisonOperator EQ

### NE

    public static final ComparisonOperator NE

Method Detail

### isTrue

    public boolean isTrue(java.lang.Number one,
                          java.lang.Number two)

  Returns true if (one COMPAR two) == true. COMPAR is dependent on the instance of the object.

### getAll

    public static java.util.List getAll()

### findByCode

    public static ComparisonOperator findByCode(int code)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.